# Uses of Class
org.mariadb.jdbc.internal.com.read.resultset.SelectResultSet

Packages that use SelectResultSet
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.com.read.dao
org.mariadb.jdbc.internal.com.read.resultset

## Uses of SelectResultSet in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return SelectResultSet
Modifier and Type
Method
Description
`protected abstract SelectResultSet`
CallableProcedureStatement.`getOutputResult()`
`protected SelectResultSet`
MariaDbProcedureStatement.`getOutputResult()`
`protected abstract SelectResultSet`
CallableFunctionStatement.`getResult()`
`protected SelectResultSet`
MariaDbFunctionStatement.`getResult()`

## Uses of SelectResultSet in org.mariadb.jdbc.internal.com.read.dao

Methods in org.mariadb.jdbc.internal.com.read.dao that return SelectResultSet
Modifier and Type
Method
Description
`SelectResultSet`
Results.`getCallableResultSet()`
`SelectResultSet`
Results.`getResultSet()`
Methods in org.mariadb.jdbc.internal.com.read.dao with parameters of type SelectResultSet
Modifier and Type
Method
Description
`void`
Results.`addResultSet(SelectResultSet resultSet, boolean moreResultAvailable)`
Add resultSet to results.

## Uses of SelectResultSet in org.mariadb.jdbc.internal.com.read.resultset

Subclasses of SelectResultSet in org.mariadb.jdbc.internal.com.read.resultset
Modifier and Type
Class
Description
`class`
`UpdatableResultSet`
Methods in org.mariadb.jdbc.internal.com.read.resultset that return SelectResultSet
Modifier and Type
Method
Description
`static SelectResultSet`
SelectResultSet.`createEmptyResultSet()`